Package com.ngrok.definitions

# Class TlsCertificateSaNs

java.lang.Object
com.ngrok.definitions.TlsCertificateSaNs

public class TlsCertificateSaNs extends Object
A class encapsulating the `TlsCertificateSaNs` resource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TlsCertificateSaNs(List<String> dnsNames, List<String> ips)`
  Creates a new instance of `TlsCertificateSaNs`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `List<String>`
  `getDnsNames()`
  set of additional domains (including wildcards) this TLS certificate is valid for
  `List<String>`
  `getIps()`
  set of IP addresses this TLS certificate is also valid for
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TlsCertificateSaNs

    public TlsCertificateSaNs(List<String> dnsNames, List<String> ips)
    Creates a new instance of `TlsCertificateSaNs`.
    Parameters:
      `dnsNames` - set of additional domains (including wildcards) this TLS certificate is valid for
      `ips` - set of IP addresses this TLS certificate is also valid for

- ## Method Details

  - ### getDnsNames

    public List<String> getDnsNames()
    set of additional domains (including wildcards) this TLS certificate is valid for
    Returns:
      the value of the property as a `List` of `String`

  - ### getIps

    public List<String> getIps()
    set of IP addresses this TLS certificate is also valid for
    Returns:
      the value of the property as a `List` of `String`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`